#!/bin/bash
## Phase 1: install ngx_mruby
sudo apt-key adv --keyserver keyserver.ubuntu.com \
  --recv-keys ABF5BD827BD9BF62
cat <<SRC | sudo tee /etc/apt/sources.list.d/nginx.list
deb http://nginx.org/packages/ubuntu/ xenial nginx
deb-src http://nginx.org/packages/ubuntu/ xenial nginx
SRC
sudo apt update && sudo apt install nginx
wget https://github.com/udzura/wdb103/releases/download/v0.0.1/nginx-wdpress-vol103.tgz
tar xzf nginx-wdpress-vol103.tgz
sudo systemctl stop nginx
sudo cp nginx/sbin/nginx /usr/sbin/

## To start nginx
sudo systemctl start nginx

## Phase 3: install consul
sudo apt-get install unzip
wget https://releases.hashicorp.com/consul/1.0.2/consul_1.0.2_linux_amd64.zip
unzip consul_1.0.2_linux_amd64.zip
sudo mv consul /usr/local/bin
sudo mkdir -p /etc/consul.d /tmp/consul

## Phase 3'b: start consul followers
HOSTIP="$(ip -f inet -o addr show enp0s8 |
  awk '{print $4}' | cut -d/ -f 1)"
sudo nohup /usr/local/bin/consul agent \
  --server --join=192.168.103.3 \
  --data-dir=/tmp/consul --bind=$HOSTIP &
